Quote

Broker IDs

WSRequest · cmd 16

This API is used to obtain participant IDs data (which can be synchronized once a day).

message ParticipantBrokerIdsResponse {
  repeated ParticipantInfo participant_broker_numbers = 1;
}

message ParticipantInfo {
  repeated int32 broker_ids = 1;
  string participant_name_cn = 2;
  string participant_name_en = 3;
  string participant_name_hk = 4;
}

Response fields

NameTypeRequiredDescription
participant_broker_numbersobject[]Optionalparticipant data
└ broker_idsint32[]Optionalbroker IDs
└ participant_name_cnstringOptionalparticipant name (zh-CN)
└ participant_name_enstringOptionalparticipant name (en)
└ participant_name_hkstringOptionalparticipant name (zh-HK)

Response JSON example

{
  "participant_broker_numbers": [
    {
      "broker_ids": [
        7738,
        7739
      ],
      "participant_name_cn": "华兴金融 (香港)",
      "participant_name_en": "China Renaissance(HK)",
      "participant_name_hk": "華興金融 (香港)"
    }
  ]
}